WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Polaroid on the Fly

Creates polaroids of images on the fly for thumbnails in posts. Support for lightbox included. Built on modified Polaroid-o-nizer v0.7.2 sources.

0.7 (2008-07-31):

  • Updated for compatibility with WordPress 2.6 (wp-content and wp-config.php changes)
  • Changes to gen-polaroid.php to accommodate Ubuntu PHP GD Packages
  • Updated path to the font ttf file in gen-polaroid.php
  • Output image now in png format instead of jpg

0.6 (2008-01-23):

  • Added ability to opt in to using Lightbox.
  • Added option to select how the image will open. (ie. new window, self)
  • Added option to specify the hright and width of the thumbnail
  • Added option to reset all options to their defaults
  • Updated descriptions on the Options page.

0.5 (2007-10-24):

  • Added error reporting. Errors will be displayed as a replacement to the image in the post.
  • Added images for use when displaying the above errors
  • Added error reporting for GD Module. Errors will be displayed on the options page.
  • Added functionality to opt in to using encoded URLs
  • Fixed case sensitvity in regex used to match the img tag (now case insensitive)
  • Removed large amounts of uneeded code in the Polaroid-o-nizer script
  • Converted all files to UNIX format

0.4 (2007-10-03):

  • Added options page (Options->Polaroid on the Fly)
  • Added functionality to opt in to security restrictions
  • Added functionality to not require the use of tinyurl.com and fopen
  • Added functionality to display the photo caption using the alt text
  • Added support to change the background color from the options page
  • Removed requirement for .htaccess
  • Renamed the Polaroid-o-nizer files
  • Changed references to Polaroid-o-nizer files

0.3 (2007-09-18):

  • Initial Public Release

Requires: 2.3 or higher
Compatible up to: 2.7
Last Updated: 2008-7-31
Downloads: 10,616

Ratings

4 stars
4.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0